Pimp My Wii 1.0 Released

Discussion in 'Wii - Hacking' started by GHBAimen, Sep 22, 2009.

Sep 22, 2009

Pimp My Wii 1.0 Released by GHBAimen at 4:59 PM (4,302 Views / 0 Likes) 22 replies

  1. GHBAimen
    OP

    Member GHBAimen GBAtemp Regular

    Joined:
    May 26, 2009
    Messages:
    177
    Country:
    Sweden
    This source came from TehSkeen

    /GHBAimen
     


  2. Ireland 1

    Member Ireland 1 GBAtemps resident Irish

    Joined:
    Sep 21, 2008
    Messages:
    666
    Location:
    Ireland
    Country:
    Ireland
    Thanks for the info downloading now
     
  3. Blue-K

    Member Blue-K No right of appeal.

    Joined:
    Jun 21, 2008
    Messages:
    2,572
    Location:
    Helvetica
    Country:
    Switzerland
    1) Wrong Section. This should be in "Hombebrew", not "Hacking", I guess...
    2) Who needs this? There's DOP-IOS for this already, and DOP-IOS can even patch the Trucha-Bug in, plus other patches. For the Shop there's also at least one app, when not more. Not to mention that nothing is wrong updating to 4.1 via the official Update (it's probably safer, and if something goes wrong, it's Nintendos fault). Pretty useless app, in my opinion, sorry.

    Edit: Meh, maybe for Noobs, ok. Still, I support the "Know-what-you're-doing"-Strategy...
     
  4. techboy

    Member techboy GBAtemp Advanced Maniac

    Joined:
    Mar 15, 2009
    Messages:
    1,720
    Location:
    Pennsylvania
    Country:
    United States
    Couldn't agree with Blue-K more about this one. Official Update is safe and other tools exist already if you want to use homebrew for updates. Seems useless.

    * DOP-IOS for IOSes (plus trucha bug if you want)
    * Wanin Updaters for System Menus
    * WiiSCU for shop-only update...

    Beside the above, there's also NUS Downloader+Wad Manager...
     
  5. xzxero

    Member xzxero ♥bong milk does good for the brain♥

    Joined:
    Jul 18, 2008
    Messages:
    3,831
    Location:
    SB
    Country:
    United States
    yea NUSD+WAD Manager+Trucha Bug Restorer=

    the essentials.

    we really dont need another application for these noobs to come whining about

    "i used this la la la etc how do i? uninstalled...crazy....please help..."
    anything along those lines.

    people will be updating stuff and they wont even know what it is or why it is at that.
     
  6. madri1

    Member madri1 GBAtemp Regular

    Joined:
    Feb 15, 2006
    Messages:
    170
    Country:
    France
    the program explain for each ios why they are needed, and ask user to install it or no

    here is the complete readme :
    Here is "Pimp My Wii", an homebrew that will install missing and outdated titles from your Wii console.
    THe program will detect missing or outdated IOS and check that you have the latest version of the Wii System Menu. It also checks if you have the latest Wii Shop Channel.
    If you don't have the latest versions of those titles, the program will download them, or read them from USB or SD to install them. When using this program, you will have all advantages from 4.1 cumulated from those of 3.2, and this without drawbacks !

    The homebrew is displayed automatically in english or french depending of your Wii's language. It is also compatible with NTSC-U, NTSC-J and PAL Wii consoles. (Corean Wii theoricaly compatibles but IOSes specific to this version will not be installed).
    Warning: I do not take any responsibility for any damage in your wii because of a improper usage of this software.


    ----------------------------------------------------
    --------Correction of encountered problems----------
    ----------------------------------------------------
    Here is a lit of common problems that you could have on your Wii (even on latest version) and the solutions that "Pimp My Wii" will do.

    - Black screen at loading of dvd games :
    Missing IOS -> Install those IOS (patching them)

    - The Wii asks for an upgrade when inserting games :
    Old IOS -> Update those IOS (patching them).

    - A modified game (trucha signed) can't load on the disc channel with my modchip :
    The IOS used by game has the trucha bug corrected -> Install a new IOS and patch the bug inside.
    The IOS used by system menu has the trucha bug corrected -> Install a new IOS and patch the bug inside.

    - The preloader and other homebrew does not work :
    The IOS36 has the ES_Identify patched -> Install a new IOS 36 and patch the bug.

    - I got reading problems with my backup launcher :
    Old cIOS installed (older than rev14) -> Ask user to update this.

    - No SD menu, no latest fonctionnality :
    Old version of Wii (system menu, by example 3.2) -> Upgrade to 4.1 (but patching everything) for more compatibility, fonctionnality.

    - The Wii Shop ask me to update :
    Old version of Wii Shop (older than v16) -> Upgrade the newest version.

    - I don't have any IOS that has the trucha bug (if you have a virgin Wii) :
    The homebrew put the trucha bug back in IOS15

    - I can't install the Hackmii Install, because i have some kind of cIOSCorp :
    You need a unmodified IOS 34 -> Install this IOS.

    !!!!!!!!!Leave the parameters by default if you don't know what you do ! A bad choice of "hacks" could leave your system unstable!!!!!!!!!!!!


    ----------------------------------------------------
    -----------------Questions / answers----------------
    ----------------------------------------------------

    - Does it works without internet ? / I got errors during download, what can i do ?
    It works without internet, you just need to put necessary wad files to the root of the SD card, or of a USB device in FAT32.
    Follow this (french) tutoriel to get those files : http://www.wii-info.fr/article-53-comment-...mios-chaine.htm
    The necessary IOS are those, in their latest versions : 9,12,13,14,15,17,21,22,28,31,33,34,35,36,37,38,53,55,56,57,60,61
    To update the System Menu, you need the file RVL-WiiSystemmenu-vX.wad, where X is 448 for 4.1J, 449 for 4.1U, 450 for 4.1E and 454 for 4.1K.
    For Wii Shop, you need RVL-Shopping-v16.wad

    - I got the preloader, will it work ?
    If you are not in 4.1 and if you accept the installation of this system menu, you will need to reinstall the preloader and the specifics hacks to this version. Follow this (french) tutoriel to install and configure preloader : http://www.wii-info.fr/article-52-installe...e-preloader.htm

    - I have the preloader and i got "system files are corrupted", what can I do ?
    If you have the preloader, you must patch "ES_Identify" on the IOS used by this. For Wii 4.x, it's IOS60, else it's IOS 30. Leave the parameters by default if you don't know what you do.

    - I have a custom theme, will it stay ?
    If you change your Wii version, you will lose all themes and you will need to reinstall a compatible theme with the version of System Menu you have.

    - I have cIOSCorp or equivalent installed (to read backup games from disc channel), what will happened ?
    If you install IOSes, it will replace those installed by cIOSCorp and you will loose the ability to launch games via disc channel without modchip. But cIOSCorp isn't recommanded, you just need a loader like Neogamma to read backups. If you reinstall cIOSCorp, you will get your old IOS back then Pimp My Wii will tell you that they are outdated

    - Should I upgrade my console to 4.1 ? I thougt I must stay to 3.2 ?
    If you use this program to put your console to 4.1, you will have exactly the same advantages as a 3.2 Wii, but you will have the improvements of 4.1. You won't have any disadvantages to put your Wii to 4.1.

    - Should I install all IOS asked ?
    It is recommanded to install IOS indicated as "not present" and IOS 30, 34, 36 and 60. You should also leave parameters by default. If you install at least those, you will avoid most of problems.

    - The other IOS, are they useless ?
    For other IOS, patching them help launching Trucha Signed gamed on Wii with a modchip.

    - I got a message saying that my Custom IOS is outdated, what can I do ?
    Follow this (french) tutoriel to upgrade your cIOS : http://www.wii-info.fr/article-40-installe...-custom-ios.htm
     
  7. vettacossx

    Member vettacossx Wii Theme Team Founder

    Joined:
    Sep 19, 2008
    Messages:
    1,329
    Location:
    Right Behind You! Uh Oh!
    Country:
    Ireland
    PLUS 1 I agree with Blue-K and Techboy this is not only useless its late and less reputable than existing applications writen by better coders and that do a better job in all likelyhood.

    Thanks for the news but ill have to say NO THANKS @ the app [​IMG] also i hope its not context sensitive LOL

    COREAN WII HUH? (is that anything like the Korean ones by any chance LOL)
     
  8. Lothlorian

    Member Lothlorian GBAtemp Regular

    Joined:
    Jul 9, 2009
    Messages:
    207
    Location:
    Berdoo
    Country:
    United States
    So Somebody Skinned DOP IOS and called it their own App????
     
  9. OncleJulien

    Member OncleJulien tool of peers

    Joined:
    Apr 6, 2009
    Messages:
    1,170
    Location:
    Los Angeles
    Country:
    United States
    in all likelyhood [sic], yeah.
     
  10. nash79

    Member nash79 GBAtemp Regular

    Joined:
    Sep 27, 2008
    Messages:
    172
    Country:
    United States
    It codes dumps for me when while verifying ioses
     
  11. Heathcliff

    Member Heathcliff GBAtemp Regular

    Joined:
    Jan 20, 2009
    Messages:
    125
    Location:
    Paris, France
    Country:
    France
    Attila is French... And in france we say "coréen" for Korean...

    Anyway I agree with the fact that this app seems pointless! Still I'll give it a shot to see if it only seems pointless or if it actually is.
     
  12. nash79

    Member nash79 GBAtemp Regular

    Joined:
    Sep 27, 2008
    Messages:
    172
    Country:
    United States
    how do we put wad files in the root of sd card (what filename structure)?
     
  13. Snahrck

    Newcomer Snahrck Newbie

    Joined:
    Sep 3, 2009
    Messages:
    5
    Country:
    Brazil
    C'mon guys... we see that you are very receptive for new applications and coders [​IMG]

    This application is different from Dop-IOS. It is not just a matter of allow you to install IOSs. It poins you possible problems (outdated titles) and suggests a way to fix them.
    I ran it in "test only mode" and it pointed several outdate IOSs. At least now have a clue about what may be preventing me from running Donkey Kong JB, Rayman Raving Rabbids and disk errors in Wiiflow with SSBB.
     
  14. YS-T

    Newcomer YS-T Member

    Joined:
    Jul 13, 2009
    Messages:
    12
    Country:
    South Africa
    This is in my opinion one of the most useful apps that i have ever used, it fixed several problem i had after updating through nintendo to 4.1

    Just try the program before you dismiss it as useless. I now have full compatibility in USB-loader GX, and can run installed WADs through the SD-menu.

    Thankyou Attila for this great app!!!
     
  15. OncleJulien

    Member OncleJulien tool of peers

    Joined:
    Apr 6, 2009
    Messages:
    1,170
    Location:
    Los Angeles
    Country:
    United States
    and what incompatibilities did you have before, over congratulatory crazily foreign first post guy?
     
  16. forbore

    Member forbore GBAtemp Regular

    Joined:
    Oct 30, 2008
    Messages:
    247
    Location:
    /dev/canada/quebec
    Country:
    Canada
    Wow! Finally a way to upgrade to a new SM version w/o any drawbacks. I'm still on 3.2 and I think it's time for an upgrade.

    Off topic: Wow! After ~4 months, I am finally back! It's been so long that I havent looked at the newest Wii hacks that I had to install IOS 61 & the newest Shop to get the internet channel updated(which I am kind of disappointed)!
     
  17. YS-T

    Newcomer YS-T Member

    Joined:
    Jul 13, 2009
    Messages:
    12
    Country:
    South Africa
    @OncleJulien

    Some of the games failed to work using USB-Loader GX, after using pimp my wii all of them was working...

    It is just a very easy way to update to 4.1 and even if you are already on 4.1 I would still recommend using this app...

    Just try it before you say it is completely useless.


    And Yes I am foreign (South Africa) and that was my first post on this forum, and what is wrong with saying thanks to someone who created something that helped you.
    I thought good manners is universal?
     
  18. Blue-K

    Member Blue-K No right of appeal.

    Joined:
    Jun 21, 2008
    Messages:
    2,572
    Location:
    Helvetica
    Country:
    Switzerland
    -No way that this App influences the Compabilty of USB-Loading. No Way. You have no idea how Backups work, right? It needs a cIOS and a Loader, not more. And this App don't touches anyone of these. At this point, you're wrong. It happend because GX is crappy, not because of this App.
    -The easy way (and probably the safer one too) to update to 4.1 is via the official one from Nintendo...
    -It is useless, because there are other apps that do exactly the same, and probably more...this is in the best way better for Noobs, not more. And they still won't realy get what they are doing (see your post) ...

    -Blue-K

    (If I'm wrong, then correct me, please.)
     
  19. G0dLiKe

    Member G0dLiKe who needs a title ;)

    Joined:
    Aug 2, 2009
    Messages:
    1,674
    Country:
    United States
    I am having some serious problem to get Hackmii installer working http://gbatemp.net/index.php?showtopic=181643 keeps saying no vulnerable IOS, no HBC installed) and I tried to load this Pimp my Wii like I would do with bannerbomb, it took me right after the startscreen to bootmii that I could back up my Nand but it wont do anything more...
     
  20. YS-T

    Newcomer YS-T Member

    Joined:
    Jul 13, 2009
    Messages:
    12
    Country:
    South Africa
    @Blue-K

    Correct me if I am wrong, but don't some of the games require some IOS'es to be updated or even install new ones? (I think animal crossing had something like this going on). And this is why some games would give a black screen and would not play, and after using this app and it udated all the IOS'es and installed the missing ones, some of the games that previously gave me a black screen would now work?
     

Share This Page